#ifndef SPI1CON_H
#define SPI1CON_H

struct SpiUart {
  u_int32 origSpi1Vec;
  __mem_y char *txRd, *txWr;
};
extern struct SpiUart spiUart;

void SetSPI1(register u_int32 uartSpeedHz);
u_int16 Spi1ConsoleWrite(register __i0 VO_FILE *self, void *buf, u_int16 sourceIndex, u_int16 bytes);

#endif /* !SPI1CON_H */
